WDCTL(8)

NAME
wdctl - show hardware watchdog status

SYNOPSIS

wdctl [options] [device...]

DESCRIPTION

Show hardware watchdog status. The default device is /dev/watchdog. If more than one device is specified then the output is separated by one blank line.

If the device is already used or user has no permissions to read from the device, then wdctl reads data from sysfs. In this case information about supported features (flags) might be missing.

Note that the number of supported watchdog features is hardware specific.

OPTIONS

-f, --flags list
    Print only the specified flags.

-F, --noflags
    Do not print information about flags.

-I, --noident
    Do not print watchdog identity information.

-n, --noheadings
    Do not print a header line for flags table.

-o, --output list
    Define the output columns to use in table of watchdog flags. If no output arrangement is specified, then a default set is used. Use --help to get list of all supported columns.

-O, --oneline
    Print all wanted information on one line in key="value" output format.

-p, --setpretimeout seconds
    Set the watchdog pre-timeout in seconds. A watchdog pre-timeout is a notification generated by the watchdog before the watchdog reset might occur in the event the watchdog has not been serviced. This notification is handled by the kernel and can be configured to take an action using sysfs or by --setpregovernor.

-g, --setpregovernor governor
    Set pre-timeout governor name. For available governors see default wdctl output.

-r, --raw
    Use the raw output format.

-s, --settimeout seconds
    Set the watchdog timeout in seconds.

-T, --notimeouts
    Do not print watchdog timeouts.

-x, --flags-only
    Same as -I -T.

-h, --help
    Display help text and exit.

-V, --version
    Display version and exit.

AUTHORS

REPORTING BUGS

For bug reports, use the

AVAILABILITY

The wdctl command is part of the util-linux package which can be downloaded from